/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_HS_tom}", "click", function(sym, e) {
         sym.$("HS_tom").hide();
         sym.$("cerrar_tom").show();
         sym.$("pp_tambor2").show();
         sym.getSymbol("pp_guitarra").play();
         sym.$("tom").hide();
         
         sym.$("HS_guit").show();
         sym.$("cerrar-guit").hide();
         sym.$("pp_guitarra").hide();
         sym.getSymbol("pp_guitarra").stop();
         sym.$("guit").show();
         
         sym.$("txt").hide();
         
         
         
         sym.getComposition().getStage().$("redoblante")[0].play();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS_guit}", "click", function(sym, e) {
         sym.$("HS_guit").hide();
         sym.$("cerrar-guit").show();
         sym.$("pp_guitarra").show();
         sym.getSymbol("pp_guitarra").play();
         sym.$("guit").hide();
         
         sym.$("HS_tom").show();
         sym.$("cerrar_tom").hide();
         sym.$("pp_tambor2").hide();
         sym.getSymbol("pp_guitarra").stop();
         sym.$("tom").show();
         
         sym.$("txt").hide();
         
         
         sym.getComposition().getStage().$("guitarra")[0].play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_cerrar_tom}", "click", function(sym, e) {
         
         sym.$("cerrar_tom").hide();
         sym.$("pp_tambor2").hide();
         sym.getSymbol("pp_guitarra").stop();
         sym.$("tom").show();
         sym.$("HS_tom").show();
         
         sym.$("txt").show();
         
         
         sym.getComposition().getStage().$("redoblante")[0].pause();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_cerrar-guit}", "click", function(sym, e) {
         sym.$("cerrar-guit").hide();
         sym.$("pp_guitarra").hide();
         sym.getSymbol("pp_guitarra").stop();
         sym.$("guit").show();
         sym.$("HS_guit").show();
         sym.$("txt").show();
         
         
         sym.getComposition().getStage().$("guitarra")[0].pause();

      });
      //Edge binding end

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'nina'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("nina");
   //Edge symbol end:'nina'

   //=========================================================
   
   //Edge symbol: 'ondas_tambor'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("ini");

      });
      //Edge binding end

   })("ondas_tambor");
   //Edge symbol end:'ondas_tambor'

   //=========================================================
   
   //Edge symbol: 'pp_tambor'
   (function(symbolName) {   
   
   })("pp_tambor");
   //Edge symbol end:'pp_tambor'

   //=========================================================
   
   //Edge symbol: 'pp_guitarra'
   (function(symbolName) {   
   
   })("pp_guitarra");
   //Edge symbol end:'pp_guitarra'

   //=========================================================
   
   //Edge symbol: 'ondas'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1750, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("ini");

      });
      //Edge binding end

   })("ondas");
   //Edge symbol end:'ondas'

   //=========================================================
   
   //Edge symbol: 'baquetas'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         // introducir código aquí
         sym.playReverse();

      });
      //Edge binding end

   })("baquetas");
   //Edge symbol end:'baquetas'

   //=========================================================
   
   //Edge symbol: 'creditos'
   (function(symbolName) {   
   
   })("creditos");
   //Edge symbol end:'creditos'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'copy_dialogo'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_HotSpot}", "click", function(sym, e) {
         sym.getSymbolElement().hide();
         sym.getComposition().getStage().getSymbol("bt_cc").stop("up");
         

      });
      //Edge binding end

   })("copy_dialogo");
   //Edge symbol end:'copy_dialogo'

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("copy_dialogo").show();
         
         
         

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot2}", "click", function(sym, e) {
         sym.stop("up");
         sym.getComposition().getStage().$("copy_dialogo").hide();

      });
      //Edge binding end

   })("bt_cc");
   //Edge symbol end:'bt_cc'

})(jQuery, AdobeEdge, "EDGE-5531445");